Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 534722 - LOGNAME="root" with FEATURES="userpriv"
Summary: LOGNAME="root" with FEATURES="userpriv"
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2015-01-04 22:35 UTC by Arfrever Frehtes Taifersar Arahesis
Modified: 2015-03-04 21:24 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis 2015-01-04 22:35:31 UTC
LOGNAME="root" is still set in ebuild environment when using FEATURES="userpriv".
Portage should update value of this variable.

Some programs check this variable.
E.g. getpass.getuser() in Python standard library (https://docs.python.org/3.5/library/getpass.html#getpass.getuser).
Comment 1 Zac Medico gentoo-dev 2015-01-19 03:15:39 UTC
I have a patch in the following branch:

	https://github.com/zmedico/portage/tree/bug_534722

I've posted it for review here:

	http://thread.gmane.org/gmane.linux.gentoo.portage.devel/5127
Comment 2 Zac Medico gentoo-dev 2015-01-19 21:08:36 UTC
This is in the master branch now:

https://github.com/gentoo/portage/commit/683245a4b6f0790212c06eb021642cda484f86d8
Comment 3 Brian Dolbec gentoo-dev 2015-03-04 21:24:26 UTC
Released in portage-2.2.16